Overview | Package | Class | Deprecated | Index | Help
| Groovy 1.7.10
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.runtime
[Java] Class InvokerHelper

    java.lang.Object
      org.codehaus.groovy.runtime.InvokerHelper

    public class InvokerHelper
    extends Object

A static helper class to make bytecode generation easier and act as a facade over the Invoker

Authors:
  James Strachan

Version:
  \$Revision: 20728 \$

Field Summary
`static Object[]` | `EMPTY_ARGS`
`protected static Object[]` | `EMPTY_ARGUMENTS`
`protected static Class[]` | `EMPTY_TYPES`
`static MetaClassRegistry` | `metaRegistry`

Method Summary
`static Object[]` | `asArray(Object arguments)` Converts the given object into an array; if its an array then just cast otherwise wrap it in an array
`static Iterator` | `asIterator(Object o)`
`static List` | `asList(Object value)`
`static Object[]` | `asUnwrappedArray(Object arguments)`
`static void` | `assertFailed(Object expression, Object message)`
`static Object` | `bitwiseNegate(Object value)`
`static List` | `createList(Object[] values)`
`static Map` | `createMap(Object[] values)`
`static List` | `createRange(Object from, Object to, boolean inclusive)`
`static Script` | `createScript(Class scriptClass, Binding context)`
`static Tuple` | `createTuple(Object[] array)`
`static Matcher` | `findRegex(Object left, Object right)` Find the right hand regex within the left hand string and return a matcher.
`protected static String` | `format(Object arguments, boolean verbose)`
`protected static String` | `format(Object arguments, boolean verbose, int maxSize)`
`static Object` | `getAttribute(Object object, String attribute)`
`static Object` | `getGroovyObjectProperty(GroovyObject object, String property)`
`static MetaClass` | `getMetaClass(Object object)`
`static MetaClass` | `getMetaClass(Class cls)`
`static MetaClassRegistry` | `getMetaRegistry()`
`static Closure` | `getMethodPointer(Object object, String methodName)` Returns the method pointer for the given object name
`static Object` | `getProperty(Object object, String property)`
`static Object` | `getPropertySafe(Object object, String property)`
`static String` | `getVersion()` @deprecated Use GroovySystem version instead.
`static String` | `inspect(Object self)`
`static Object` | `invokeClosure(Object closure, Object arguments)`
`static Object` | `invokeConstructorOf(String klass, Object arguments)`
`static Object` | `invokeConstructorOf(Class type, Object arguments)`
`static Object` | `invokeMethod(Object object, String methodName, Object arguments)` Invokes the given method on the object.
`static Object` | `invokeMethodSafe(Object object, String methodName, Object arguments)`
`static Object` | `invokeNoArgumentsConstructorOf(Class type)`
`static Object` | `invokeStaticMethod(String klass, String methodName, Object arguments)`
`static Object` | `invokeStaticMethod(Class type, String method, Object arguments)`
`static Object` | `invokeStaticNoArgumentsMethod(Class type, String methodName)`
`static Object` | `invokeSuperMethod(Object object, String methodName, Object arguments)`
`static boolean` | `matchRegex(Object left, Object right)` Find the right hand regex within the left hand string and return a matcher.
`static void` | `removeClass(Class clazz)`
`static Object` | `runScript(Class scriptClass, String[] args)`
`static void` | `setAttribute(Object object, String attribute, Object newValue)`
`static void` | `setGroovyObjectProperty(Object newValue, GroovyObject object, String property)` This is so we don't have to reorder the stack when we call this method.
`static void` | `setProperties(Object object, Map map)` Sets the properties on the given object
`static void` | `setProperty(Object object, String property, Object newValue)`
`static void` | `setProperty2(Object newValue, Object object, String property)` This is so we don't have to reorder the stack when we call this method.
`static void` | `setPropertySafe2(Object newValue, Object object, String property)` This is so we don't have to reorder the stack when we call this method.
`static SpreadMap` | `spreadMap(Object value)`
`static String` | `toArrayString(Object[] arguments)` A helper method to return the string representation of an array of objects with brace boundaries "{" and "}".
`static String` | `toListString(Collection arg)` A helper method to return the string representation of a list with bracket boundaries "[" and "]".
`static String` | `toListString(Collection arg, int maxSize)` A helper method to return the string representation of a list with bracket boundaries "[" and "]".
`static String` | `toMapString(Map arg)` A helper method to return the string representation of a map with bracket boundaries "[" and "]".
`static String` | `toMapString(Map arg, int maxSize)` A helper method to return the string representation of a map with bracket boundaries "[" and "]".
`static String` | `toString(Object arguments)`
`static String` | `toTypeString(Object[] arguments)` A helper method to format the arguments types as a comma-separated list.
`static Object` | `unaryMinus(Object value)`
`static Object` | `unaryPlus(Object value)`
`static void` | `write(Writer out, Object object)` Writes the given object to the given stream

Methods inherited from class Object
wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll

Field Detail

### EMPTY_ARGS

    public static final Object[] EMPTY_ARGS

### EMPTY_ARGUMENTS

    protected static final Object[] EMPTY_ARGUMENTS

### EMPTY_TYPES

    protected static final Class[] EMPTY_TYPES

### metaRegistry

    public static final MetaClassRegistry metaRegistry

Method Detail

### asArray

    public static Object[] asArray(Object arguments)

  Converts the given object into an array; if its an array then just cast otherwise wrap it in an array

### asIterator

    @SuppressWarnings("unchecked")
    public static Iterator asIterator(Object o)

### asList

    public static List asList(Object value)

### asUnwrappedArray

    public static Object[] asUnwrappedArray(Object arguments)

### assertFailed

    public static void assertFailed(Object expression, Object message)

### bitwiseNegate

    public static Object bitwiseNegate(Object value)

### createList

    public static List createList(Object[] values)

### createMap

    public static Map createMap(Object[] values)

### createRange

    public static List createRange(Object from, Object to, boolean inclusive)

### createScript

    public static Script createScript(Class scriptClass, Binding context)

### createTuple

    public static Tuple createTuple(Object[] array)

### findRegex

    public static Matcher findRegex(Object left, Object right)

  Find the right hand regex within the left hand string and return a matcher.
  Parameters:
    `left` - string to compare
    `right` - regular expression to compare the string to

### format

    protected static String format(Object arguments, boolean verbose)

### format

    protected static String format(Object arguments, boolean verbose, int maxSize)

### getAttribute

    public static Object getAttribute(Object object, String attribute)

### getGroovyObjectProperty

    public static Object getGroovyObjectProperty(GroovyObject object, String property)

### getMetaClass

    public static MetaClass getMetaClass(Object object)

### getMetaClass

    public static MetaClass getMetaClass(Class cls)

### getMetaRegistry

    public static MetaClassRegistry getMetaRegistry()

### getMethodPointer

    public static Closure getMethodPointer(Object object, String methodName)

  Returns the method pointer for the given object name

### getProperty

    public static Object getProperty(Object object, String property)

### getPropertySafe

    public static Object getPropertySafe(Object object, String property)

### getVersion

    public static String getVersion()

  deprecated:
    Use GroovySystem version instead.

### inspect

    public static String inspect(Object self)

### invokeClosure

    public static Object invokeClosure(Object closure, Object arguments)

### invokeConstructorOf

    public static Object invokeConstructorOf(String klass, Object arguments)

### invokeConstructorOf

    public static Object invokeConstructorOf(Class type, Object arguments)

### invokeMethod

    public static Object invokeMethod(Object object, String methodName, Object arguments)

  Invokes the given method on the object.

### invokeMethodSafe

    public static Object invokeMethodSafe(Object object, String methodName, Object arguments)

### invokeNoArgumentsConstructorOf

    public static Object invokeNoArgumentsConstructorOf(Class type)

### invokeStaticMethod

    public static Object invokeStaticMethod(String klass, String methodName, Object arguments)

### invokeStaticMethod

    public static Object invokeStaticMethod(Class type, String method, Object arguments)

### invokeStaticNoArgumentsMethod

    public static Object invokeStaticNoArgumentsMethod(Class type, String methodName)

### invokeSuperMethod

    public static Object invokeSuperMethod(Object object, String methodName, Object arguments)

### matchRegex

    public static boolean matchRegex(Object left, Object right)

  Find the right hand regex within the left hand string and return a matcher.
  Parameters:
    `left` - string to compare
    `right` - regular expression to compare the string to

### removeClass

    public static void removeClass(Class clazz)

### runScript

    public static Object runScript(Class scriptClass, String[] args)

### setAttribute

    public static void setAttribute(Object object, String attribute, Object newValue)

### setGroovyObjectProperty

    public static void setGroovyObjectProperty(Object newValue, GroovyObject object, String property)

  This is so we don't have to reorder the stack when we call this method. At some point a better name might be in order.

### setProperties

    public static void setProperties(Object object, Map map)

  Sets the properties on the given object

### setProperty

    public static void setProperty(Object object, String property, Object newValue)

### setProperty2

    public static void setProperty2(Object newValue, Object object, String property)

  This is so we don't have to reorder the stack when we call this method. At some point a better name might be in order.

### setPropertySafe2

    public static void setPropertySafe2(Object newValue, Object object, String property)

  This is so we don't have to reorder the stack when we call this method. At some point a better name might be in order.

### spreadMap

    public static SpreadMap spreadMap(Object value)

### toArrayString

    public static String toArrayString(Object[] arguments)

  A helper method to return the string representation of an array of objects with brace boundaries "{" and "}".
  Parameters:
    `arguments` - the array to process
  Returns:
    the string representation of the array

### toListString

    public static String toListString(Collection arg)

  A helper method to return the string representation of a list with bracket boundaries "[" and "]".
  Parameters:
    `arg` - the collection to process
  Returns:
    the string representation of the collection

### toListString

    public static String toListString(Collection arg, int maxSize)

  A helper method to return the string representation of a list with bracket boundaries "[" and "]".
  Parameters:
    `arg` - the collection to process
    `maxSize` - stop after approximately this many characters and append '...'
  Returns:
    the string representation of the collection

### toMapString

    public static String toMapString(Map arg)

  A helper method to return the string representation of a map with bracket boundaries "[" and "]".
  Parameters:
    `arg` - the map to process
  Returns:
    the string representation of the map

### toMapString

    public static String toMapString(Map arg, int maxSize)

  A helper method to return the string representation of a map with bracket boundaries "[" and "]".
  Parameters:
    `arg` - the map to process
    `maxSize` - stop after approximately this many characters and append '...'
  Returns:
    the string representation of the map

### toString

    public static String toString(Object arguments)

### toTypeString

    public static String toTypeString(Object[] arguments)

  A helper method to format the arguments types as a comma-separated list.
  Parameters:
    `arguments` - the type to process
  Returns:
    the string representation of the type

### unaryMinus

    public static Object unaryMinus(Object value)

### unaryPlus

    public static Object unaryPlus(Object value)

### write

    public static void write(Writer out, Object object)

  Writes the given object to the given stream

Copyright © 2003-2010 The Codehaus. All rights reserved.